@charset "utf-8";
/* body,div,p{ font-family: 'Microsoft Yahei' ;font-size: 14px; background:rgba(255,255,255,0.9)} */

.box {
    width: 270px;
    height: 270px;
    border: 10px solid rgba(0 , 255, 255, 0.5);
    margin: 0 auto;
    border-radius: 50%;
    box-shadow: 0px 0px 20px 3px #444 inset;
    position: relative;
    background-color: rgba(255, 255, 255, 0.9);
    
}

/*原点*/

.origin {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #ff0000;
    top: 115px;
    left: 115px;
    position: absolute;
}

/* 指针 */

.clock_line {
    position: absolute;
    position: absolute;
    z-index: 20;
}

.hour_line {
    width: 80px;
    height: 4px;
    top: 125px;
    left: 125px;
    background-color: #000;
    border-radius: 2px;
    transform-origin: 0 50%;
    box-shadow: 1px -3px 8px 3px #aaa;
}

.minute_line {
    width: 110px;
    height: 2px;
    top: 125px;
    left: 115px;
    background-color: #000;
    transform-origin: 7.692% 50%;
    box-shadow: 1px -3px 8px 1px #aaa;
}

.second_line {
    width: 140px;
    height: 1px;
    top: 125px;
    left: 108px;
    background-color: #f60;
    transform-origin: 11.765% 50%;
    box-shadow: 1px -3px 7px 1px #bbb;
}

.dot_box {
    width: inherit;
    height: inherit;
}

/*时钟数*/

.dot {
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    font-size: 22px;
    position: absolute;
}

.clock-scale {
    width: 195px;
    height: 2px;
    transform-origin: 0% 50%;
    z-index: 7;
    position: absolute;
    top: 125px;
    left: 125px;
}

.scale-show {
    width: 12px;
    height: 2px;
    background-color: #555;
    float: left;
}

.scale-hidden {
    width: 110px;
    height: 2px;
    float: left;
}

/*日期*/

.date_info {
    width: 160px;
    height: 28px;
    line-height: 28px;
    text-align: center;
    position: absolute;
    top: 140px;
    left: 50px;
    z-index: 11;
    color: #555;
    font-weight: bold;
    font-size: 15px;
}

.time_info {
    width: 107px;
    height: 32px;
    line-height: 35px;
    text-align: center;
    position: absolute;
    top: 165px;
    left: 75px;
    z-index: 11;
    color: #555;
    
    background: rgba(127, 127, 127, 0.5) 35px 35px;
}

.time {
    width: 35px;
    height: 35px;
    float: left;
    color: #fff;
    font-size: 22px;
}

#minute_time {
    border-left: 1px solid #fff;
    border-right: 1px solid #fff;
}